REST SERVER HOCKA dependencies


#1

Hi!

The restServer dependency failed to resolved:
https://repository.microej.com/artifacts/ej/library/iot/restserver/3.0.0/
image

My ivy dependencies:

dependencies>

dependency org=“ej.api” name=“edc” rev="[1.2.0,2.0.0[" conf=“provided->*” />

dependency org=“ej.api” name=“ecom” rev="[1.1.0,2.0.0[" conf=“provided->*” />

dependency org=“ej.api” name=“ecom-comm” rev="[1.1.0,2.0.0[" conf=“provided->*” />

dependency org=“ej.api” name=“net” rev="[1.0.0,2.0.0[" conf=“provided->*” />

dependency org=“ej.library.eclasspath” name=“logging” rev="[1.0.0,2.0.0[" />

dependency org=“ej.library.iot” name=“restserver” rev=“1.+”/>

/dependencies>

I use the last IDE version and I use the platform ESP32 WROVER-9C5H4.

Best regards.


#2

Hi @gaper,

<dependency org=“ej.library.iot” name=“restserver” rev=“1.+”/> means that ivy will fetch the library from version 1.0.0 (inclusive) to 2.0.0 (exclusive).
https://repository.microej.com/artifacts/ej/library/iot/restserver/ only provide the version 3.0.0, so you can use the range
<dependency org=“ej.library.iot” name=“restserver” rev=“3.+”/> or <dependency org=“ej.library.iot” name=“restserver” rev=“[3.0.0,4.0.0[”/>.